<?php
	require_once "include/brisql.php";
	
	function rGetAreaList() {
		$js = "";
		$sql = new briSql();
		$result = $sql->select("SELECT DISTINCT area FROM listings_residential ORDER BY area");
		$n = count($result);
		for ($i = 0; $i < $n; $i++) {
			$row = $result[$i];
			$area = urlencode($row["area"]);
			$areaname = $row["area"];
		  
			if ($areaname != $lastarea) {
				$js .= "addListItem(arealist, \"" . urldecode($area) . "\", \"" . urldecode($areaname) . "\", \"r_area\", \"r_area_option_header\", \"Area : " . urldecode($areaname) . "\");";
			}
			$lastarea = $areaname;
		}
		return $js;
	}
	
	function rGetTypeList() {
		$js = "";
		$sql = new briSql();
		$result = $sql->select("SELECT DISTINCT type FROM listings_residential ORDER BY type");
		$n = count($result);
		for ($i = 0; $i < $n; $i++) {
			$row = $result[$i];
			$type = urlencode($row["type"]);
			$typename = $row["type"];
		   
			if ($typename != $lasttype) {
				print "addListItem(typelist, \"" . urldecode($type) . "\", \"" . urldecode($typename) . "\", \"r_type\", \"r_type_option_header\", \"Type : " . urldecode($typename) . "\");";		   		
			}
			$lasttype = $typename;
		}
		return $js;
	}
?>

<script type="text/javascript">
	$('#residential').live("pagecreate", function() {
		var arealist = $("#r_area_option_list");
		addListItem(arealist, "", "Any Area", "r_area", "r_area_option_header", "Area : Any");
		<?= rGetAreaList(); ?>
		
		var typelist = $("#r_type_option_list");
		addListItem(typelist, "", "Any Type", "r_type", "r_type_option_header", "Type : Any");
		<?= rGetTypeList(); ?>
		
		var bedlist = $("#r_bedroom_option_list");
		addListItem(bedlist, "", "Any Bedrooms", "r_bedrooms", "r_bedroom_option_header", "Bedrooms : Any");
		addListItem(bedlist, "1", "1 Bedrooms", "r_bedrooms", "r_bedroom_option_header", "Bedrooms : 1");
		addListItem(bedlist, "2", "2 Bedrooms", "r_bedrooms", "r_bedroom_option_header", "Bedrooms : 2");
		addListItem(bedlist, "3", "3 Bedrooms", "r_bedrooms", "r_bedroom_option_header", "Bedrooms : 3");
		addListItem(bedlist, "4", "4 Bedrooms", "r_bedrooms", "r_bedroom_option_header", "Bedrooms : 4");
		addListItem(bedlist, "5", "5 Bedrooms", "r_bedrooms", "r_bedroom_option_header", "Bedrooms : 5");
		addListItem(bedlist, "6", "6 Bedrooms", "r_bedrooms", "r_bedroom_option_header", "Bedrooms : 6");
		
		var bathlist = $("#r_bathroom_option_list");
		addListItem(bathlist, "", "Any Bathrooms", "r_bathrooms", "r_bathroom_option_header", "Bathrooms : Any");
		addListItem(bathlist, "1", "1 Bathrooms", "r_bathrooms", "r_bathroom_option_header", "Bathrooms : 1");
		addListItem(bathlist, "2", "2 Bathrooms", "r_bathrooms", "r_bathroom_option_header", "Bathrooms : 2");
		addListItem(bathlist, "3", "3 Bathrooms", "r_bathrooms", "r_bathroom_option_header", "Bathrooms : 3");
		addListItem(bathlist, "4", "4 Bathrooms", "r_bathrooms", "r_bathroom_option_header", "Bathrooms : 4");
		addListItem(bathlist, "5", "5 Bathrooms", "r_bathrooms", "r_bathroom_option_header", "Bathrooms : 5");
		addListItem(bathlist, "6", "6 Bathrooms", "r_bathrooms", "r_bathroom_option_header", "Bathrooms : 6");
		
		var minlist = $("#r_min_price_option_list");
		addListItem(minlist, "0", "$0", "r_lower", "r_min_price_option_header", "Minimum Price : $0");
		addListItem(minlist, "100000", "$100,000", "r_lower", "r_min_price_option_header", "Minimum Price : $100,000");
		addListItem(minlist, "200000", "$200,000", "r_lower", "r_min_price_option_header", "Minimum Price : $200,000");
		addListItem(minlist, "300000", "$300,000", "r_lower", "r_min_price_option_header", "Minimum Price : $300,000");
		addListItem(minlist, "400000", "$400,000", "r_lower", "r_min_price_option_header", "Minimum Price : $400,000");
		addListItem(minlist, "500000", "$500,000", "r_lower", "r_min_price_option_header", "Minimum Price : $500,000");
		addListItem(minlist, "750000", "$750,000", "r_lower", "r_min_price_option_header", "Minimum Price : $750,000");
		
		var maxlist = $("#r_max_price_option_list");
		addListItem(maxlist, "100000", "$100,000", "r_upper", "r_max_price_option_header", "Maximum Price : $100,000");
		addListItem(maxlist, "200000", "$200,000", "r_upper", "r_max_price_option_header", "Maximum Price : $200,000");
		addListItem(maxlist, "300000", "$300,000", "r_upper", "r_max_price_option_header", "Maximum Price : $300,000");
		addListItem(maxlist, "400000", "$400,000", "r_upper", "r_max_price_option_header", "Maximum Price : $400,000");
		addListItem(maxlist, "500000", "$500,000", "r_upper", "r_max_price_option_header", "Maximum Price : $500,000");
		addListItem(maxlist, "750000", "$750,000", "r_upper", "r_max_price_option_header", "Maximum Price : $750,000");
		addListItem(maxlist, "10000000", "$10,000,000", "r_upper", "r_max_price_option_header", "Maximum Price : $10,000,000");
		addListItem(maxlist, "", "Any", "r_upper", "r_max_price_option_header", "Maximum Price : Any");
		
	});
</script>

<div data-role="header" data-theme="b">
	<a href="./mls_search.php" data-roll="button" data-icon="arrow-l" rel="external">Back</a>
    <h1>Residential Listings</h1>
    <!--<a href="#" onclick="$('#rform').trigger('submit')" data-role="button" data-icon="arrow-r" class="ui-btn-right">Search</a>-->
</div><!-- /header -->

<div data-role="content" data-theme="b"> 
	<form id="rform" name="residentialSearch" method="get" action="mls_do_search.php" data-ajax="false">
		<input type="hidden" id="r_searchType" name="searchType" value="residential">
		<input type="hidden" id="r_area" name="area" value="">
		<input type="hidden" id="r_type" name="type" value="">
		<input type="hidden" id="r_bedrooms" name="bedrooms" value="">
		<input type="hidden" id="r_bathrooms" name="bathrooms" value="">
		<input type="hidden" id="r_lower" name="lower" value="">
		<input type="hidden" id="r_upper" name="upper" value="">
		<input type="hidden" id="r_sourceuri" name="sourceuri" value="/mls_search.php#residential">
		
		<ul data-role="listview" data-inset="true">
			<li>
				<h3 id="r_area_option_header">Area : Any</h3>
				<ul id="r_area_option_list" data-inset="true"></ul>
			</li>
			<li>
				<h3 id="r_type_option_header">Type : Any</h3>
				<ul id="r_type_option_list" data-inset="true"></ul>
			</li>
			<li>
				<h3 id="r_bedroom_option_header">Bedrooms : Any</h3>
				<ul id="r_bedroom_option_list" data-inset="true"></ul>
			</li>
			<li>
				<h3 id="r_bathroom_option_header">Bathrooms : Any</h3>
				<ul id="r_bathroom_option_list" data-inset="true"></ul>
			</li>
			<li>
				<h3 id="r_min_price_option_header">Minimum Price : $0</h3>
				<ul id="r_min_price_option_list" data-inset="true"></ul>
			</li>
			<li>
				<h3 id="r_max_price_option_header">Maximum Price : Any</h3>
				<ul id="r_max_price_option_list" data-inset="true"></ul>
			</li>
		</ul>

    	<input type="hidden" name="limit" value="10">
		<br>
		<input type="submit" value="Search">
	</form>
</div><!-- /content -->

<div data-role="footer" data-theme="b"> 
	<h4>Taos Real Estate Search</h4>
</div><!-- /footer -->