<script type="text/javascript">
	$('#search_results').live("pagecreate", function() {
		if (searchResults) {
			console.log("interpretting search results");
			//searchResults object will be...
			//{ success:[boolean], results:[results object], footer:[footer object] }
			//results object...
			//{ success:[boolean], searchtype:[string], totalcount:[number], page:[number], records:[array of record objects] }
			//record object...
			//{ mls:[number], area:[string], addendum:[string], price:[string], img:[string] }
			//footer object...
			//{ success:[boolean], prev:[string], next:[string], page:[number], total:[number] }
			
			var results = searchResults.results;
			var footer = searchResults.footer;
			
			if (footer.success) {
				var f = $("#search_footer");
				f.empty();
				if (footer.total > 1) {
					f.attr({ 'data-position':"fixed" });
					
					var html = "<div style=\"float:left; margin-top:6px; margin-left:6px;\">";
					html += ("<a href=\"" + urldecode(footer.prev) + "\" data-role=\"button\" data-icon=\"arrow-l\">prev</a>");
					html += "</div>";
					html += "<div style=\"float:right; margin-top:6px; margin-right:6px;\">";
					html += ("<a href=\"" + urldecode(footer.next) + "\" data-role=\"button\" data-icon=\"arrow-r\">next</a>");
					html += "</div>";
					html += ("<h4 style=\"text-align:center; margin-top:11px; margin-bottom:11px; margin-left:0px; margin-right:0px;\">Page: " + footer.page + " of " + footer.total + "</h4>");
					
					f.html(html);
					/*var prev = $("<div>").attr({ 'float':"left", 'style':"margin-top:6px; margin-left:6px" });
					var preva = $("<a>").attr({ 'display':"inline", 'href':footer.prev, 'data-role':"button", 'data-icon':"arrow-l" }).text("prev");
					var next = $("<div>").attr({ 'float':"right", 'style':"margin-top:6px; margin-right:6px" });
					var nexta = $("<a>").attr({ 'display':"inline", 'href':footer.next, 'data-role':"button", 'data-icon':"arrow-r" }).text("next");
					var h4 = $("<h4>").attr({ 'style':"margin-left:0px; margin-right:0px" }).text("Page: " + footer.page + " of " + footer.total);
					f.append(prev.append(preva));
					f.append(next.append(nexta));
					f.append(h4);*/
					//f.append($("<a>").attr({ 'href':footer.prev, 'data-role':"button", 'data-icon':"arrow-l", 'class':"ui-btn-left" }).text("prev"));
					//f.append($("<a>").attr({ 'href': footer.next, 'data-role':"button", 'data-icon':"arrow-r", 'class':"ui-btn-right" }).text("next"));
					//f.append($("<h4>").text("Page: " + footer.page + " of " + footer.total));
				} else {
					f.append($("<h4>").text("Page: 1 of 1"));
				}
			} else {
				//show error
				console.log("footer.success is false");
			}
			
			if (results.success) {
				var c = $("#search_content");
				c.empty();
				if (results.totalcount > 0) {
					c.append($("<p>").append($("<h4>").text("There are " + results.totalcount + " " + results.searchtype + " properties that match your search criteria.")));
					//console.log("c is now " + c.html());
					
					var len = results.records.length;
					for (var i = 0; i < len; i++) {
						var rec = results.records[i];
						var detailhref = "mls_details.php?propType=" + results.searchtype + "&mls=" + rec.mls;
						
						if (rec.img) {
							var img = $("<div>").css("float", "left").css("padding", "6px");
							var imga = $("<a>").attr("href", detailhref);
							imga.append($("<img>").attr("src", urldecode(rec.img)));
							img.append(imga);
						} else {
							var img = $("<div>").css("float", "left").css("padding", "30px 6px").css("text-align", "center").text("No Image Available");
						}
						var more = $("<a>").attr({ 'href':detailhref, 'data-role':"button", 'data-theme':"c" }).text("more detail");
						var topdiv = $("<div>").attr({ 'data-role':"collapsible", 'data-collapsed':"false" });
						var descdiv = $("<div>");
						
						descdiv.append(img);
						descdiv.append($("<span>").text("MLS # " + rec.mls));
						descdiv.append($("<br>"));
						//console.log("addendum is " + rec.addendum);
						descdiv.append($("<span>").text(urldecode(rec.addendum)));
						descdiv.append($("<br>"));
						descdiv.append($("<span>").text(urldecode(rec.price)));
						descdiv.append($("<br>"));
						descdiv.append($("<div>").css("clear", "both").append(more));
						
						topdiv.append($("<h3>").text(urldecode(rec.area) + " - #" + rec.mls));
						topdiv.append(descdiv);
						
						c.append(topdiv);
						//console.log("c is now " + c.html());
					}
				} else {
					c.append($("<h4>").html("Sorry, there are NO properties that match your search criteria.<br>Please try your search again using different criteria."));
				}
			} else {
				//show error
				console.log("results.success is false");
			}
		}
	});
</script>

<div data-role="header" data-theme="b">
    <h1>Search Results</h1>
</div><!-- /header -->

<div id="search_content" data-role="content" data-theme="b"> 
	<h4>Page Content</h4>
</div><!-- /content -->

<div id="search_footer" data-role="footer" data-theme="b"> 
	<h4>Taos Real Estate Search</h4>
</div><!-- /footer -->