<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
	<title>Taos MLS Property Search</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<link rel="stylesheet" href="http://code.jquery.com/mobile/1.0b2/jquery.mobile-1.0b2.min.css" />
	<script src="http://code.jquery.com/jquery-1.7.min.js"></script>
	<script src="http://code.jquery.com/mobile/1.0b2/jquery.mobile-1.0b2.min.js"></script>
	
	<script type="text/javascript">
		var searchResults;
		
		function addListItem(list, value, label, inputname, headername, result) {
			var li = document.createElement("LI");
			var anc = document.createElement("A");
			$(anc).text(label);
			$(anc).click(function() {
				$("#" + inputname).val(value);
				var heading = $("#" + headername);
				$(heading).text(result);
				history.back();
				return false;
			});
			$(li).append(anc);
			$(list).append(li);
		}
	</script>
</head>

<body>

<div data-role="page" id="intro" data-theme="b"> 
	<?php require("page_intro.php"); ?>
</div><!-- /page -->

<div data-role="page" id="residential" data-theme="b">  
	<?php require("page_residential.php"); ?>
</div><!-- /page -->

<div data-role="page" id="land" data-theme="b">  
	<?php require("page_land.php"); ?>
</div><!-- /page -->

<div data-role="page" id="commercial" data-theme="b">  
	<?php require("page_commercial.php"); ?>
</div><!-- /page -->

<div data-role="page" id="multi_family" data-theme="b">  
	<?php require("page_multi_family.php"); ?>
</div><!-- /page -->

</body>

